<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>aspnet-netddi-40b2ab4f-2391-4151-8f6d-f213efd89115</UserSecretsId>
    <NoDefaultLaunchSettingsFile>True</NoDefaultLaunchSettingsFile>
    <RootNamespace>DotNetDDI</RootNamespace>
    <EnableConfigurationBindingGenerator>true</EnableConfigurationBindingGenerator>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="CommunityToolkit.HighPerformance" Version="8.4.0" />
    <PackageReference Include="DotNext" Version="5.18.0" />
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="8.0.12" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="8.0.12" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="8.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="9.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.1">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="9.0.1" />
    <PackageReference Include="Microsoft.Extensions.Hosting.Systemd" Version="9.0.1" />
    <PackageReference Include="Sep" Version="0.8.0" />
    <PackageReference Include="System.IO.Pipelines" Version="9.0.1" />
  </ItemGroup>

</Project>
